Subject: Re: bug#58459: Getting a fresh emacs session with no customisation

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Oct 2022 02:51:24 -0700

tags 58459 notabug
close 58459
thanks

uzibalqa via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> I am finding it extremely difficult to get a fresh emacs configuration.  Even after removing
> my "~/.emacs" file and even with "emacs -q" which should not load any init file, I get a black
> background when I do "emacs -q".  With customize-themes not showing that any theme is selected.
>
> Even the command
>
> emacs -q --no-site-file --no-splash
>
> gives me a black background.
>
> But "emacs -Q" gives me a white background.

So you have some X resources that are causing you trouble.  See the
documentation for the -Q flag.

Try this to see:

    xrdb -query -all|grep -i emacs

And then unset those resources.

This is a support question and not a bug, so I'm closing this.